---
title: "Search follow access principals"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{id}/follow-access/principals`

## Path parameters

- `id` (`entity-search-follow-access-principals.path.id`; string, required)
  - format `uuid`

## Query parameters

- `query` (`entity-search-follow-access-principals.query.query`; string, required)
  - minLength 2; maxLength 100
- `principalType` (`entity-search-follow-access-principals.query.principalType`; string, optional)
  - one of `"user"`, `"entity"`, `"organization"`; default `"user"`
- `limit` (`entity-search-follow-access-principals.query.limit`; number, optional)
  - min 1; max 20; default `8`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<id>/follow-access/principals?query=string'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/follow-access/principals?query=string';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/follow-access/principals?query=string"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
[
  {
    "principalType": "user",
    "principalId": "string",
    "label": "string",
    "secondaryLabel": "string",
    "avatarUrl": "string",
    "metadata": {
      "property1": null,
      "property2": null
    }
  }
]
```

- `principalType` (`entity-search-follow-access-principals.response.200.principalType`; string, required)
  - one of `"user"`, `"entity"`, `"organization"`
- `principalId` (`entity-search-follow-access-principals.response.200.principalId`; string, required)
- `label` (`entity-search-follow-access-principals.response.200.label`; string, required)
- `secondaryLabel` (`entity-search-follow-access-principals.response.200.secondaryLabel`; string, required, nullable)
- `avatarUrl` (`entity-search-follow-access-principals.response.200.avatarUrl`; string, required, nullable)
- `metadata` (`entity-search-follow-access-principals.response.200.metadata`; map<unknown>, required)

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-search-follow-access-principals.response.400.error`; object, required)
  - `code` (`entity-search-follow-access-principals.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-search-follow-access-principals.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-search-follow-access-principals.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-search-follow-access-principals.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-search-follow-access-principals.response.401.error`; object, required)
  - `code` (`entity-search-follow-access-principals.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-search-follow-access-principals.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-search-follow-access-principals.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-search-follow-access-principals.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-search-follow-access-principals.response.403.error`; object, required)
  - `code` (`entity-search-follow-access-principals.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-search-follow-access-principals.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-search-follow-access-principals.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-search-follow-access-principals.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-search-follow-access-principals.response.404.error`; object, required)
  - `code` (`entity-search-follow-access-principals.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-search-follow-access-principals.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-search-follow-access-principals.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-search-follow-access-principals.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-search-follow-access-principals.response.409.error`; object, required)
  - `code` (`entity-search-follow-access-principals.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-search-follow-access-principals.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-search-follow-access-principals.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-search-follow-access-principals.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-search-follow-access-principals.response.422.error`; object, required)
  - `code` (`entity-search-follow-access-principals.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-search-follow-access-principals.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`entity-search-follow-access-principals.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-search-follow-access-principals.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-search-follow-access-principals.response.429.error`; object, required)
  - `code` (`entity-search-follow-access-principals.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-search-follow-access-principals.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`entity-search-follow-access-principals.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-search-follow-access-principals.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-search-follow-access-principals.response.500.error`; object, required)
  - `code` (`entity-search-follow-access-principals.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-search-follow-access-principals.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-search-follow-access-principals.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-search-follow-access-principals.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-search-follow-access-principals.response.503.error`; object, required)
  - `code` (`entity-search-follow-access-principals.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-search-follow-access-principals.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-search-follow-access-principals.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-search-follow-access-principals.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-search-follow-access-principals/index.md
